org.wildfly.swarm.config.undertow

## Class FilterConfiguration<T extends FilterConfiguration<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.undertow.FilterConfiguration<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class FilterConfiguration<T extends FilterConfiguration<T>>
      extends HashMap

  Undertow filters
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FilterConfiguration.FilterConfigurationResources` Child mutators for FilterConfiguration

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `customFilter(CustomFilter value)` Add the CustomFilter object to the list of subresources
    `T` | `customFilter(CustomFilterSupplier supplier)` Install a supplied CustomFilter object to the list of subresources
    `T` | `customFilter(String childKey)` Create and configure a CustomFilter object to the list of subresources
    `T` | `customFilter(String childKey, CustomFilterConsumer consumer)` Create and configure a CustomFilter object to the list of subresources
    `T` | `customFilters(List<CustomFilter> value)` Add all CustomFilter objects to this subresource
    `T` | `errorPage(ErrorPage value)` Add the ErrorPage object to the list of subresources
    `T` | `errorPage(ErrorPageSupplier supplier)` Install a supplied ErrorPage object to the list of subresources
    `T` | `errorPage(String childKey)` Create and configure a ErrorPage object to the list of subresources
    `T` | `errorPage(String childKey, ErrorPageConsumer consumer)` Create and configure a ErrorPage object to the list of subresources
    `T` | `errorPages(List<ErrorPage> value)` Add all ErrorPage objects to this subresource
    `T` | `expressionFilter(ExpressionFilter value)` Add the ExpressionFilter object to the list of subresources
    `T` | `expressionFilter(ExpressionFilterSupplier supplier)` Install a supplied ExpressionFilter object to the list of subresources
    `T` | `expressionFilter(String childKey)` Create and configure a ExpressionFilter object to the list of subresources
    `T` | `expressionFilter(String childKey, ExpressionFilterConsumer consumer)` Create and configure a ExpressionFilter object to the list of subresources
    `T` | `expressionFilters(List<ExpressionFilter> value)` Add all ExpressionFilter objects to this subresource
    `String` | `getKey()`
    `T` | `gzip(Gzip value)` Add the Gzip object to the list of subresources
    `T` | `gzip(GzipSupplier supplier)` Install a supplied Gzip object to the list of subresources
    `T` | `gzip(String childKey)` Create and configure a Gzip object to the list of subresources
    `T` | `gzip(String childKey, GzipConsumer consumer)` Create and configure a Gzip object to the list of subresources
    `T` | `gzips(List<Gzip> value)` Add all Gzip objects to this subresource
    `T` | `modCluster(ModCluster value)` Add the ModCluster object to the list of subresources
    `T` | `modCluster(ModClusterSupplier supplier)` Install a supplied ModCluster object to the list of subresources
    `T` | `modCluster(String childKey)` Create and configure a ModCluster object to the list of subresources
    `T` | `modCluster(String childKey, ModClusterConsumer consumer)` Create and configure a ModCluster object to the list of subresources
    `T` | `modClusters(List<ModCluster> value)` Add all ModCluster objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `requestLimit(RequestLimit value)` Add the RequestLimit object to the list of subresources
    `T` | `requestLimit(RequestLimitSupplier supplier)` Install a supplied RequestLimit object to the list of subresources
    `T` | `requestLimit(String childKey)` Create and configure a RequestLimit object to the list of subresources
    `T` | `requestLimit(String childKey, RequestLimitConsumer consumer)` Create and configure a RequestLimit object to the list of subresources
    `T` | `requestLimits(List<RequestLimit> value)` Add all RequestLimit objects to this subresource
    `T` | `responseHeader(ResponseHeader value)` Add the ResponseHeader object to the list of subresources
    `T` | `responseHeader(ResponseHeaderSupplier supplier)` Install a supplied ResponseHeader object to the list of subresources
    `T` | `responseHeader(String childKey)` Create and configure a ResponseHeader object to the list of subresources
    `T` | `responseHeader(String childKey, ResponseHeaderConsumer consumer)` Create and configure a ResponseHeader object to the list of subresources
    `T` | `responseHeaders(List<ResponseHeader> value)` Add all ResponseHeader objects to this subresource
    `T` | `rewrite(Rewrite value)` Add the Rewrite object to the list of subresources
    `T` | `rewrite(RewriteSupplier supplier)` Install a supplied Rewrite object to the list of subresources
    `T` | `rewrite(String childKey)` Create and configure a Rewrite object to the list of subresources
    `T` | `rewrite(String childKey, RewriteConsumer consumer)` Create and configure a Rewrite object to the list of subresources
    `T` | `rewrites(List<Rewrite> value)` Add all Rewrite objects to this subresource
    `FilterConfiguration.FilterConfigurationResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### FilterConfiguration

          public FilterConfiguration()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public FilterConfiguration.FilterConfigurationResources subresources()

    - #### requestLimits

          public T requestLimits(List<RequestLimit> value)

      Add all RequestLimit objects to this subresource
      Parameters:
        `value` - List of RequestLimit objects.
      Returns:
        this

    - #### requestLimit

          public T requestLimit(RequestLimit value)

      Add the RequestLimit object to the list of subresources
      Parameters:
        `value` - The RequestLimit to add
      Returns:
        this

    - #### requestLimit

          public T requestLimit(String childKey,
                                RequestLimitConsumer consumer)

      Create and configure a RequestLimit object to the list of subresources
      Parameters:
        `key` - The key for the RequestLimit resource
        `config` - The RequestLimitConsumer to use
      Returns:
        this

    - #### requestLimit

          public T requestLimit(String childKey)

      Create and configure a RequestLimit object to the list of subresources
      Parameters:
        `key` - The key for the RequestLimit resource
      Returns:
        this

    - #### requestLimit

          public T requestLimit(RequestLimitSupplier supplier)

      Install a supplied RequestLimit object to the list of subresources

    - #### errorPages

          public T errorPages(List<ErrorPage> value)

      Add all ErrorPage objects to this subresource
      Parameters:
        `value` - List of ErrorPage objects.
      Returns:
        this

    - #### errorPage

          public T errorPage(ErrorPage value)

      Add the ErrorPage object to the list of subresources
      Parameters:
        `value` - The ErrorPage to add
      Returns:
        this

    - #### errorPage

          public T errorPage(String childKey,
                             ErrorPageConsumer consumer)

      Create and configure a ErrorPage object to the list of subresources
      Parameters:
        `key` - The key for the ErrorPage resource
        `config` - The ErrorPageConsumer to use
      Returns:
        this

    - #### errorPage

          public T errorPage(String childKey)

      Create and configure a ErrorPage object to the list of subresources
      Parameters:
        `key` - The key for the ErrorPage resource
      Returns:
        this

    - #### errorPage

          public T errorPage(ErrorPageSupplier supplier)

      Install a supplied ErrorPage object to the list of subresources

    - #### customFilters

          public T customFilters(List<CustomFilter> value)

      Add all CustomFilter objects to this subresource
      Parameters:
        `value` - List of CustomFilter objects.
      Returns:
        this

    - #### customFilter

          public T customFilter(CustomFilter value)

      Add the CustomFilter object to the list of subresources
      Parameters:
        `value` - The CustomFilter to add
      Returns:
        this

    - #### customFilter

          public T customFilter(String childKey,
                                CustomFilterConsumer consumer)

      Create and configure a CustomFilter object to the list of subresources
      Parameters:
        `key` - The key for the CustomFilter resource
        `config` - The CustomFilterConsumer to use
      Returns:
        this

    - #### customFilter

          public T customFilter(String childKey)

      Create and configure a CustomFilter object to the list of subresources
      Parameters:
        `key` - The key for the CustomFilter resource
      Returns:
        this

    - #### customFilter

          public T customFilter(CustomFilterSupplier supplier)

      Install a supplied CustomFilter object to the list of subresources

    - #### gzips

          public T gzips(List<Gzip> value)

      Add all Gzip objects to this subresource
      Parameters:
        `value` - List of Gzip objects.
      Returns:
        this

    - #### gzip

          public T gzip(Gzip value)

      Add the Gzip object to the list of subresources
      Parameters:
        `value` - The Gzip to add
      Returns:
        this

    - #### gzip

          public T gzip(String childKey,
                        GzipConsumer consumer)

      Create and configure a Gzip object to the list of subresources
      Parameters:
        `key` - The key for the Gzip resource
        `config` - The GzipConsumer to use
      Returns:
        this

    - #### gzip

          public T gzip(String childKey)

      Create and configure a Gzip object to the list of subresources
      Parameters:
        `key` - The key for the Gzip resource
      Returns:
        this

    - #### gzip

          public T gzip(GzipSupplier supplier)

      Install a supplied Gzip object to the list of subresources

    - #### modClusters

          public T modClusters(List<ModCluster> value)

      Add all ModCluster objects to this subresource
      Parameters:
        `value` - List of ModCluster objects.
      Returns:
        this

    - #### modCluster

          public T modCluster(ModCluster value)

      Add the ModCluster object to the list of subresources
      Parameters:
        `value` - The ModCluster to add
      Returns:
        this

    - #### modCluster

          public T modCluster(String childKey,
                              ModClusterConsumer consumer)

      Create and configure a ModCluster object to the list of subresources
      Parameters:
        `key` - The key for the ModCluster resource
        `config` - The ModClusterConsumer to use
      Returns:
        this

    - #### modCluster

          public T modCluster(String childKey)

      Create and configure a ModCluster object to the list of subresources
      Parameters:
        `key` - The key for the ModCluster resource
      Returns:
        this

    - #### modCluster

          public T modCluster(ModClusterSupplier supplier)

      Install a supplied ModCluster object to the list of subresources

    - #### expressionFilters

          public T expressionFilters(List<ExpressionFilter> value)

      Add all ExpressionFilter objects to this subresource
      Parameters:
        `value` - List of ExpressionFilter objects.
      Returns:
        this

    - #### expressionFilter

          public T expressionFilter(ExpressionFilter value)

      Add the ExpressionFilter object to the list of subresources
      Parameters:
        `value` - The ExpressionFilter to add
      Returns:
        this

    - #### expressionFilter

          public T expressionFilter(String childKey,
                                    ExpressionFilterConsumer consumer)

      Create and configure a ExpressionFilter object to the list of subresources
      Parameters:
        `key` - The key for the ExpressionFilter resource
        `config` - The ExpressionFilterConsumer to use
      Returns:
        this

    - #### expressionFilter

          public T expressionFilter(String childKey)

      Create and configure a ExpressionFilter object to the list of subresources
      Parameters:
        `key` - The key for the ExpressionFilter resource
      Returns:
        this

    - #### expressionFilter

          public T expressionFilter(ExpressionFilterSupplier supplier)

      Install a supplied ExpressionFilter object to the list of subresources

    - #### responseHeaders

          public T responseHeaders(List<ResponseHeader> value)

      Add all ResponseHeader objects to this subresource
      Parameters:
        `value` - List of ResponseHeader objects.
      Returns:
        this

    - #### responseHeader

          public T responseHeader(ResponseHeader value)

      Add the ResponseHeader object to the list of subresources
      Parameters:
        `value` - The ResponseHeader to add
      Returns:
        this

    - #### responseHeader

          public T responseHeader(String childKey,
                                  ResponseHeaderConsumer consumer)

      Create and configure a ResponseHeader object to the list of subresources
      Parameters:
        `key` - The key for the ResponseHeader resource
        `config` - The ResponseHeaderConsumer to use
      Returns:
        this

    - #### responseHeader

          public T responseHeader(String childKey)

      Create and configure a ResponseHeader object to the list of subresources
      Parameters:
        `key` - The key for the ResponseHeader resource
      Returns:
        this

    - #### responseHeader

          public T responseHeader(ResponseHeaderSupplier supplier)

      Install a supplied ResponseHeader object to the list of subresources

    - #### rewrites

          public T rewrites(List<Rewrite> value)

      Add all Rewrite objects to this subresource
      Parameters:
        `value` - List of Rewrite objects.
      Returns:
        this

    - #### rewrite

          public T rewrite(Rewrite value)

      Add the Rewrite object to the list of subresources
      Parameters:
        `value` - The Rewrite to add
      Returns:
        this

    - #### rewrite

          public T rewrite(String childKey,
                           RewriteConsumer consumer)

      Create and configure a Rewrite object to the list of subresources
      Parameters:
        `key` - The key for the Rewrite resource
        `config` - The RewriteConsumer to use
      Returns:
        this

    - #### rewrite

          public T rewrite(String childKey)

      Create and configure a Rewrite object to the list of subresources
      Parameters:
        `key` - The key for the Rewrite resource
      Returns:
        this

    - #### rewrite

          public T rewrite(RewriteSupplier supplier)

      Install a supplied Rewrite object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.